Subject: [TR] Floor Jack

From: TERRY SMITH <[email-masked]>
Date: Sun, 27 Oct 2019 22:18:57 -0400 (EDT)

--===============3801188111844038720==
	boundary="----=_Part_55319_1953315344.1572229137148"

------=_Part_55319_1953315344.1572229137148
Content-Transfer-Encoding: 7bit

I have gone to Home Gods with my wife more times than I can actually sleep through.  But today, she came with me to Harbor Freight in Manchester, NH.  She's amazing.  She was more interested in that than I was in HG.  So now, we call HF the Home Goods for Guys.  
Thing is, my floor jack died.  I did fix it by bleeding the hydraulics, but it was an excuse to realize it never fit under the cross member or differential of my TR3A.  Found a Pittsburgh low-profile jack (that I haven't tried yet, but measurements are positive).  So excited!
I've previously had to use a scrapped Toyota's scissor jack to hand-screw up enough to accommodate a floor jack, then re-jack with a floor jack.  Reverse the procedure to get the car back onto the floor.  Oh, I cannot wait!

So question.  HB Pittsburgh floor jacks seem "okay" for the price.  Thoughts?

Terry Smith, '59 Tr3A
New Hampshire, where the color is gone, the leaves have dropped, it's raining, and the end is near.
------=_Part_55319_1953315344.1572229137148
Content-Transfer-Encoding: 7bit

<!doctype html>
<html>
 <head> 
  <meta charset="UTF-8"> 
 </head>
 <body>
  <div style="font-size: 12pt; font-family: helvetica, arial, sans-serif; color: rgb(51, 51, 51);">
   I have gone to Home Gods with my wife more times than I can actually sleep through.&nbsp; But today, she came with me to Harbor Freight in Manchester, NH.&nbsp; She's amazing.&nbsp; She was more interested in that than I was in HG.&nbsp; So now, we call HF the Home Goods for Guys.&nbsp;&nbsp;
  </div>
  <div style="font-size: 12pt; font-family: helvetica, arial, sans-serif; color: rgb(51, 51, 51);">
   Thing is, my floor jack died.&nbsp; I did fix it by bleeding the hydraulics, but it was an excuse to realize it never fit under the cross member or differential of my TR3A.&nbsp; Found a Pittsburgh low-profile jack (that I haven't tried yet, but measurements are positive).&nbsp; So excited!
  </div>
  <div style="font-size: 12pt; font-family: helvetica, arial, sans-serif; color: rgb(51, 51, 51);">
   I've previously had to use a scrapped Toyota's scissor jack to hand-screw up enough to accommodate a floor jack, then re-jack with a floor jack.&nbsp; Reverse the procedure to get the car back onto the floor.&nbsp; Oh, I cannot wait!
  </div>
  <div style="font-size: 12pt; font-family: helvetica, arial, sans-serif; color: rgb(51, 51, 51);">
   <br>
  </div>
  <div style="font-size: 12pt; font-family: helvetica, arial, sans-serif; color: rgb(51, 51, 51);">
   So question.&nbsp; HB Pittsburgh floor jacks seem "okay" for the price.&nbsp; Thoughts?
  </div>
  <div style="font-size: 12pt; font-family: helvetica, arial, sans-serif; color: rgb(51, 51, 51);">
   <br>
  </div>
  <div style="font-size: 12pt; font-family: helvetica, arial, sans-serif; color: rgb(51, 51, 51);">
   Terry Smith, '59 Tr3A
  </div>
  <div style="font-size: 12pt; font-family: helvetica, arial, sans-serif; color: rgb(51, 51, 51);">
   New Hampshire, where the color is gone, the leaves have dropped, it's raining, and the end is near.
  </div> 
 </body>
</html>
------=_Part_55319_1953315344.1572229137148--

--===============3801188111844038720==
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

--===============3801188111844038720==--